/* 

Breakpoints

// Darrens device

@media (max-width: 340px) { 

}

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) { 
    
 }

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) { 
    
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) { 
    
 }

// X-Large devices (large desktops, 1200px and up)
@media (min-width: 1200px) { 
    
 }

// XX-Large devices (larger desktops, 1400px and up)
@media (min-width: 1400px) { 
    
 }
 === */


 :root {

  /* ====
      CSS Variables 
  === */

  --TPGPLCLightBlue: #E4FAFF;
  --TPGPLCCyan: #00CDFF;
  --TPGPLCLightGreen: #33E0A0;
  --TPGPLCDarkGreen: #09b676;
  --TPGPLCDarkBlue: #070034;

  --TPG-Hot-Pink: #F90052;
  --TPG-Hot-Pink-Dark: #DB0048;

  --TPG-Hot-Blue: #0026ED;
  --TPG-Hot-Blue-Dark: #001CB0;

  --JustOT-LightGreen: #33E0A0;
  --JustOT-LighterGreen: #1ff6a7;
  --JustOT-DarkGreen: #003328;
  --JustOT-DarkBlue: #05173C;
  --JustOT-LightBG: #f2fff6;

  --JustPhysio-LightBlue: #4ADCFF;
  --JustPhysio-LighterBlue: #9debff;
  --JustPhysio-DarkBlue: #05173C;
  --JustPhysio-LightBG: #f2fdff;
  --JustPhysio-TransBlue: #33dae038;

  --Mediplacements-LightBG: #e5f5ff;
  --Mediplacements-LightBlue: #4ADCFF;
  --Mediplacements-DarkBlue: #05173C;
  --Mediplacements-TransBlue: #d9f5ff;

  --TPGInsourcing-OffWhite: #7f7f97;
  --TPGInsourcing-DarkAubergine: #282837;
  --TPGInsourcing-MidAubergine: #6B587D;
  --TPGInsourcing-LightGreen: #A8FFB0;
  --TPGInsourcing-DarkGreen: #71b478;
  --TPGInsourcing-MidGreen: #707971;
  --TPGInsourcing-MidOlive: #B9C4BA;
  --TPGInsourcing-BrightPurple: #543C8F;

  --TPGConstruction-DarkRed: #560505;
  --TPGConstruction-MidRed: #6C1C1E;
  --TPGConstruction-LightRed: #ffadad;
  --TPGConstruction-PopRed: #ff0000;

  --colorWhite: #FFF;
  --colorBlack: #000;
  --colorRed: #dc3545;
  --colorLightGrey: #f9f9f9;
  --colorMidGrey: #ababab;
  --colorDarkGrey: #3b3b3b;
  
  --headerHeight: 50vh;
  --headerPadding: 5vh;

  --font-S-P-size: 14px;
  --font-S-P-lineh: 22px;
  --font-S-P-padding: 0 0 15px 0;
   
  --font-M-P-size: 16px;
  --font-M-P-lineh: 24px;
  --font-M-P-padding: 0 0 15px 0;
  
  --font-S-h2-size: 18px;
  --font-S-h2-lineh: 26px;
  --font-S-h2-padding: 0 0 25px 0;
  --font-S-h2-margin: 0 0 25px 0;
   
  --font-M-h2-size: 28px;
  --font-M-h2-lineh: 40px;
  --font-M-h2-padding: 0 0 35px 0;
  --font-M-h2-margin: 0 0 35px 0;

  --tpgHeaderMobile: 71px;
  --tpgHeaderDesktop: 90px;
  --tpgHeaderBigDesktop: 120px;

  --SecondNavLayerActiveBG: #f3fafa;

  --hpSectionPaddingSM: 40px;
  --hpSectionPaddingMD: 70px;
  --hpSectionPaddingTiny: 20px;

  --SectionTitleSM:20px;
  --SectionTitleMD:28px;
  --SectionTitleLG:38px;

  --SectionParaSM:16px;
  --SectionParaMD:17px;
  --SectionParaLG:19px;

  --SectionButtonSM:14px;
  --SectionButtonMD:15px;
  --SectionButtonLG:16px;

  --MobileNavFontSize:12px;

}
  
html {

  scroll-behavior: smooth;
  text-rendering: optimizeLegibility;

}

body {

  font-family: 'Plus Jakarta Sans', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow-x: hidden;
  color: var(--TPGConstruction-DarkRed);
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  position: relative;
  left: 0;

}

a {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.blueHpPill {
  color: #fff;
  font-size: 12px;
  font-weight: 500;
  border: 2px solid #022fff;
  padding: 10px 20px;
  border-radius:100px;
  display: inline-flex;
  margin:20px 10px 10px 0;
  transition: all 0.2s ease;
  opacity: 0;
  animation: fadeIn4 3.4s 1;
  animation-fill-mode: forwards;
  background: #022fff;
}

@media (min-width: 576px) {

  .blueHpPill {
  
    margin:20px 10px 0px 0;
  
  }
  
}

@media (min-width: 991px) { 

  .blueHpPill {
 
   font-size: 16px;
   margin:30px 0 0 0;
 
 }

}

.blueHpPill:hover {

  background:var(--TPGPLCDarkBlue);
  border: 2px solid var(--TPGPLCDarkBlue);
  color:var(--TPGPLCLightBlue);

}

.blueHpPill i {

  padding-left:5px;

}

/*

ANIMATIONS

*/


@keyframes fadeIn {
  0% {
      opacity: 0.0;
  }
  100% {
      opacity: 1.0;
  }
}

@keyframes fadeIn2 {
  0% {
      opacity: 0.0;
  }
  80% {
      opacity: 0.0;
  }
  100% {
      opacity: 1.0;
  }
}

@keyframes fadeIn3 {
  0% {
      opacity: 0.0;
  }
  20% {
      opacity: 0.0;
  }
  100% {
      opacity: 1.0;
  }
}

@keyframes fadeIn4 {
  0% {
      opacity: 0.0;
  }
  90% {
      opacity: 0.0;
  }
  100% {
      opacity: 1.0;
  }
}

/*

TEST CODE - DELETE BEFORE LAUNCH

*/

.homepageSection {

  height:100svh;
  width: 100%;
  display:flex;
  align-items: center;
  justify-content: center;

}

.homepageSection:nth-child(odd) {

  background: var(--colorLightGrey)

}

.standardButton {

  padding:10px 14px;
  border-radius: 60px;
  font-weight: 600;
  display: inline-block;
  font-size: var(--SectionButtonSM);

}

.standardButton.butPink {

  background-color: var(--TPG-Hot-Pink);
  color:var(--colorWhite);

}

.standardButton.butPink:hover {

  background-color: var(--TPG-Hot-Pink-Dark);
  color:var(--colorWhite);
  box-shadow: 0px 0px 20px rgb(255 0 90 / 25%);

}

.standardButton.butGreen {
  
  background-color: var(--JustOT-LightGreen);
  color:var(--colorWhite);
  display: inline-flex;
  align-items: center;
  
}

.standardButton.butGreen:hover {

  background-color: var(--JustOT-LighterGreen);
  color:var(--colorWhite);
  box-shadow: 0px 0px 10px rgba(37, 126, 86, 0.28);

}

.standardButton.butGreen.arrowRight::after {
  
  content: "";
  background: url(./src/arrowForward.svg) right center no-repeat;
  width: 25px;
  height: 16px;

}

.arrowDown::after {
  
  content: "";
  background: url(./src/arrowForward.svg) center center no-repeat;
  width: 16px;
  height: 16px;
  transform: rotate(90deg);
  margin:0 0 0 10px;

}

.standardButton.butBlue {
  
  background-color: var(--TPG-Hot-Blue);
  color:var(--colorWhite);
  display: inline-flex;
  align-items: center;
  
}

.standardButton.butBlue:hover {

  background-color: var(--TPG-Hot-Blue-Dark);
  color:var(--colorWhite);
  box-shadow: 0px 0px 10px rgba(37, 126, 86, 0.28);

}

.standardButton.butGrey {
  
  background-color: #c7c7c7;
  color:var(--colorWhite);
  display: inline-flex;
  align-items: center;
  border-radius: 60px;
  font-size: 16px;
  padding: 18px 24px;
  
}

.standardButton.butGrey:hover {

  background-color: #9f9f9f;
  color:var(--colorWhite);

}

.standardButton.butBlue.arrowRight::after {
  
  content: "";
  background: url(./src/arrowForward.svg) right center no-repeat;
  width: 25px;
  height: 16px;

}

@media (min-width: 991px) { 

  .standardButton {

    padding: 12px 16px;
    font-size: var(--SectionButtonMD);
  
  }
  
}

@media (min-width: 1400px) { 

  .standardButton {

    font-size: var(--SectionButtonLG);
  
  }
  
}

.aniGradient {

  --borderWidth:2px;
  color: var(--TPGPLCDarkBlue) !important;
  background: #ffffff !important;
  position: relative;
  border-radius: 60px;
  font-size: 16px;
  padding: 18px 24px;

}

.aniGradient:hover {
  
  color: var(--TPG-Hot-Blue) !important;
  
}

.aniGradient:after {

  content: '';
  position: absolute;
  top: calc(-1 * var(--borderWidth));
  left: calc(-1 * var(--borderWidth));
  height: calc(100% + var(--borderWidth) * 2);
  width: calc(100% + var(--borderWidth) * 2);
  background: linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82);
  border-radius: 40px;
  z-index: -1;
  animation: animatedgradient 3s ease alternate infinite;
  background-size: 300% 300%;
  
}

@keyframes animatedgradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/* BASIC TEXT SIZES */

p {

  font-size:14px;
  padding:0 0 18px 0;

}

@media (min-width: 991px) { 

  p {

    font-size:15px;
    margin: 0;
  
  }

}

@media (min-width: 1200px) { 

  p {

    font-size:16px;
    padding:0 0 20px 0;
    margin: 0;
  
  }

}

h3 {

  font-weight:600;

}

@media (min-width: 768px) { 

  .inlineS {

    float: inline-start;
    display: flex;

  }

}

.flexy {display: flex;align-items: center;align-content: center;justify-content: center;text-align: center;}


@media (min-width: 991px) { 

  .flexy {display: flex;align-items: center;align-content: center;justify-content: center;text-align: left;}

}


.flexyRight {

  display: flex;
  align-items: center;
  align-content: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;

}


@media (min-width: 991px) { 

  .flexyRight {

    display: flex;
    align-items: flex-start;
    align-content: center;
    justify-content: center;
    text-align: left;
    flex-direction: column;

  }

}

.grecaptcha-badge { 
  visibility: hidden; 
}